Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1735100 - dracut-modules-olpc: FTBFS in Fedora rawhide/f31
Summary: dracut-modules-olpc: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut-modules-olpc
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Drake
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841 SugarOnPy3
TreeView+ depends on / blocked
 
Reported: 2019-07-31 18:36 UTC by Fedora Release Engineering
Modified: 2019-09-22 07:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-22 07:41:07 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2019-07-31 18:36 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2019-07-31 18:36 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2019-07-31 18:36 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 18:36:24 UTC
dracut-modules-olpc failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36632837


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix dracut-modules-olpc at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
dracut-modules-olpc will be orphaned. Before branching of Fedora 32,
dracut-modules-olpc will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 18:36:29 UTC
Created attachment 1595815 [details]
build.log

Comment 2 Fedora Release Engineering 2019-07-31 18:36:31 UTC
Created attachment 1595816 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 18:36:33 UTC
Created attachment 1595817 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 17:03:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:39:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Fedora Release Engineering 2019-09-22 04:24:30 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule


Note You need to log in before you can comment on or make changes to this bug.